/* This file is part of SDL_him - SDL Hildon Input Method addon
 * Copyright (C) 2010 Javier S. Pedro
 * Modified from hildon-input-method-framework
 * Copyright (C) 2005-2007 Nokia Corporation.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA or see <http://www.gnu.org/licenses/>.
 */

#ifndef MODIFIER_H_
#define MODIFIER_H_

/* The following comes from hildon-input-method-protocol, but does not come
 * with hildon-im-protocol. We use it internally. 
 */

typedef enum HildonIMInternalModifierMask {
	HILDON_IM_SHIFT_STICKY_MASK     = 1 << 0,
	HILDON_IM_SHIFT_LOCK_MASK       = 1 << 1,
	HILDON_IM_LEVEL_STICKY_MASK     = 1 << 2,
	HILDON_IM_LEVEL_LOCK_MASK       = 1 << 3,
	HILDON_IM_COMPOSE_MASK          = 1 << 4,
	HILDON_IM_DEAD_KEY_MASK         = 1 << 5
} HildonIMInternalModifierMask;

#endif

